- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.ListCourseAliasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#try-it)

Returns a list of aliases for a course.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to access the course or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `NOT_FOUND` if the course does not exist.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}/aliases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` The identifier of the course. This identifier can be either the Classroom-assigned identifier or an `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases#CourseAlias`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. |
| `pageToken` | `string` `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#body.ListCourseAliasesResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#google.classroom.v1.Courses.ListCourseAliases` call, indicating that the subsequent page of results should be returned. The `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases/list#google.classroom.v1.Courses.ListCourseAliases` request must be otherwise identical to the one that resulted in this token. |

### Request body

The request body must be empty.

### Response body

Response when listing course aliases.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "aliases": [ { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases#CourseAlias`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `aliases[]` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases#CourseAlias`)`` The course aliases. |
| `nextPageToken` | `string` Token identifying the next page of results to return. If empty, no further results are available. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.courses`
- `
  https://www.googleapis.com/auth/classroom.courses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).